<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>cluster</artifactId>
    <version>1.9.0</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.cluster</groupId>
  <artifactId>cluster-persistence-service</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: CLUSTER :: PERSISTENCE</name>
  <description>ENTAXY :: PLATFORM :: CORE :: CLUSTER :: PERSISTENCE</description>
  
  <properties>
  	<bundle.osgi.private.pkg>
  		ru.entaxy.esb.platform.core.cluster.persistence.activator,
  		ru.entaxy.esb.platform.core.cluster.persistence.handler
  	</bundle.osgi.private.pkg>
  	<bundle.osgi.import.pkg>
  		!org.apache.karaf.cellar.bundle.shell*,
  		org.osgi.framework,
  		*
  	</bundle.osgi.import.pkg>
  	<bundle.osgi.export.pkg>
  		ru.entaxy.esb.platform.core.cluster.persistence
  	</bundle.osgi.export.pkg>
  	<bundle.osgi.dynamicimport.pkg>
  		*
  	</bundle.osgi.dynamicimport.pkg>
  </properties>
  	
  <dependencies>
    <dependency>
        <groupId>org.apache.karaf.features</groupId>
        <artifactId>org.apache.karaf.features.core</artifactId>
        <version>${karaf.version}</version>
    </dependency>
    <dependency>
        <groupId>org.osgi</groupId>
        <artifactId>osgi.core</artifactId>
        <version>${osgi.version}</version>
    </dependency>
    <dependency>
    	<groupId>org.slf4j</groupId>
    	<artifactId>slf4j-api</artifactId>
    </dependency>
    <dependency>
        <groupId>org.apache.karaf</groupId>
        <artifactId>org.apache.karaf.util</artifactId>
        <version>${karaf.version}</version>
    </dependency>
	<dependency>
        <groupId>org.osgi</groupId>
        <artifactId>org.osgi.compendium</artifactId>
        <version>${osgi.compendium.version}</version>
 	</dependency>
    <dependency>
        <groupId>com.hazelcast</groupId>
        <artifactId>hazelcast-all</artifactId>
        <version>${hazelcast.version}</version>
    </dependency>
  	<dependency>
  		<groupId>org.apache.karaf.cellar</groupId>
  		<artifactId>org.apache.karaf.cellar.core</artifactId>
  		<version>${cellar.version}</version>
  		<exclusions>
  			<exclusion>
  				<groupId>org.apache.karaf</groupId>
  				<artifactId>org.apache.karaf.util</artifactId>
  			</exclusion>
  		</exclusions>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.cellar</groupId>
  		<artifactId>org.apache.karaf.cellar.bundle</artifactId>
  		<version>${cellar.version}-ENTAXY</version>
  		<exclusions>
  			<exclusion>
  				<groupId>org.apache.karaf</groupId>
  				<artifactId>org.apache.karaf.util</artifactId>
  			</exclusion>
  		</exclusions>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.cellar</groupId>
  		<artifactId>org.apache.karaf.cellar.hazelcast</artifactId>
  		<version>${cellar.version}</version>
  	</dependency>
  </dependencies>
  
  <build>
  	<plugins>
	    <plugin>
	        <groupId>org.apache.karaf.tooling</groupId>
	        <artifactId>karaf-services-maven-plugin</artifactId>
	        <version>${karaf.version}</version>
            <executions>
				<execution>
					<id>service-metadata-generate</id>
					<phase>process-classes</phase>
					<goals>
						<goal>service-metadata-generate</goal>
					</goals>
					<configuration>
						<artifactInclude>.*</artifactInclude>
					</configuration>
				</execution>
            </executions>
	    </plugin>
  	</plugins>
  </build>
  
</project>
